Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.data
Interface DataText

    public interface DataText

This class assembles texts which are used in the data classes.

Author:
  Workgroup DBIS, University of Konstanz 2005-08, ISC License, Christian Gruen

Field Summary
`static byte[]` | `ATT` Attribute output.
`static byte[]` | `ATT1` Attribute output.
`static byte[]` | `ATT2` Attribute output.
`static byte[]` | `COM1` Comment output.
`static byte[]` | `COM2` Comment output.
`static byte[]` | `COMM` Text step.
`static byte[]` | `CONTENT` Suffix attribute.
`static java.lang.String` | `DATAATV` Database - Attribute value index.
`static java.lang.String` | `DATAFTX` Database - Fulltext index.
`static java.lang.String` | `DATAINFO` Database - Info.
`static java.lang.String` | `DATATBL` Database - Tokens.
`static java.lang.String` | `DATATMP` Database - Temporary Size References.
`static java.lang.String` | `DATATXT` Database - Text index.
`static java.lang.String` | `DBATVINDEX` Attribute indexing.
`static java.lang.String` | `DBCHOPPED` Whitespace chopping.
`static java.lang.String` | `DBENCODING` Encoding.
`static java.lang.String` | `DBENTITY` Entity parsing.
`static java.lang.String` | `DBFCOMPRESS` Fuzzy indexing.
`static java.lang.String` | `DBFNAME` File name.
`static java.lang.String` | `DBFSIZE` File size.
`static java.lang.String` | `DBFTCS` Fulltext case sensitivity.
`static java.lang.String` | `DBFTDC` Fulltext diacritics removal.
`static java.lang.String` | `DBFTSTEM` Fulltext stemming.
`static java.lang.String` | `DBFTXINDEX` Fulltext indexing.
`static java.lang.String` | `DBFZINDEX` Fuzzy indexing.
`static java.lang.String` | `DBHEIGHT` Tree height.
`static java.lang.String` | `DBLASTID` Last (highest) id.
`static java.lang.String` | `DBNDOCS` Number of XML documents.
`static java.lang.String` | `DBSIZE` Number of XML nodes.
`static java.lang.String` | `DBSTORAGE` Database version.
`static java.lang.String` | `DBTIME` Last modification time.
`static java.lang.String` | `DBTXTINDEX` Text indexing.
`static java.lang.String` | `DBWRDINDEX` Word indexing.
`static java.lang.String` | `DEEPFS` DeepFS tag.
`static java.lang.String` | `DEEPLIB` Name of the current deepfs shared library.
`static byte[]` | `DIR` Directory tag.
`static byte[]` | `E_AMP` Ampersand Entity.
`static byte[]` | `E_CR` CarriageReturn Entity.
`static byte[]` | `E_GT` GreaterThan Entity.
`static byte[]` | `E_LT` LessThan Entity.
`static byte[]` | `E_NL` NewLine Entity.
`static byte[]` | `E_QU` Quote Entity.
`static byte[]` | `E_TAB` Tab Entity.
`static byte[]` | `ELEM1` Element output.
`static byte[]` | `ELEM2` Element output.
`static byte[]` | `ELEM3` Element output.
`static byte[]` | `ELEM4` Element output.
`static byte[]` | `FILE` File tag.
`static java.lang.String` | `IDBSTORAGE` Database version.
`static java.lang.String` | `ISTORAGE` Index version; if it's modified, old indexes can't be parsed anymore.
`static byte[]` | `MTIME` Time of last modification.
`static byte[]` | `NAME` Name attribute.
`static byte[]` | `PI` Text step.
`static byte[]` | `PI1` PI output.
`static byte[]` | `PI2` PI output.
`static byte[]` | `RESULT` Opening result tag.
`static byte[]` | `RESULTS` Opening results tag.
`static byte[]` | `SIZE` Size attribute.
`static byte[]` | `STAT` Size attribute.
`static java.lang.String` | `STORAGE` Database version; if it's modified, old database instances can't be parsed anymore.
`static byte[]` | `SUFFIX` Suffix attribute.
`static java.lang.String` | `TABLEATS` Fourth table Header.
`static java.lang.String` | `TABLEDIST` Second table Header.
`static java.lang.String` | `TABLEKIND` Fifth table Header.
`static java.lang.String[]` | `TABLEKINDS` Table Kinds.
`static java.lang.String` | `TABLENS` Namespace header.
`static java.lang.String` | `TABLEPRE` First table Header.
`static java.lang.String` | `TABLEPREF` Prefix header.
`static java.lang.String` | `TABLESIZE` Third table Header.
`static java.lang.String` | `TABLEURI` URI header.
`static byte[]` | `TEXT` Text step.

Field Detail

### STORAGE

    static final java.lang.String STORAGE

  Database version; if it's modified, old database instances can't be parsed anymore.

  See Also:
    Constant Field Values

### ISTORAGE

    static final java.lang.String ISTORAGE

  Index version; if it's modified, old indexes can't be parsed anymore.

  See Also:
    Constant Field Values

### DBSTORAGE

    static final java.lang.String DBSTORAGE

  Database version.

  See Also:
    Constant Field Values

### IDBSTORAGE

    static final java.lang.String IDBSTORAGE

  Database version.

  See Also:
    Constant Field Values

### DBTIME

    static final java.lang.String DBTIME

  Last modification time.

  See Also:
    Constant Field Values

### DBHEIGHT

    static final java.lang.String DBHEIGHT

  Tree height.

  See Also:
    Constant Field Values

### DBSIZE

    static final java.lang.String DBSIZE

  Number of XML nodes.

  See Also:
    Constant Field Values

### DBFNAME

    static final java.lang.String DBFNAME

  File name.

  See Also:
    Constant Field Values

### DBFSIZE

    static final java.lang.String DBFSIZE

  File size.

  See Also:
    Constant Field Values

### DBNDOCS

    static final java.lang.String DBNDOCS

  Number of XML documents.

  See Also:
    Constant Field Values

### DBENCODING

    static final java.lang.String DBENCODING

  Encoding.

  See Also:
    Constant Field Values

### DBCHOPPED

    static final java.lang.String DBCHOPPED

  Whitespace chopping.

  See Also:
    Constant Field Values

### DBENTITY

    static final java.lang.String DBENTITY

  Entity parsing.

  See Also:
    Constant Field Values

### DBTXTINDEX

    static final java.lang.String DBTXTINDEX

  Text indexing.

  See Also:
    Constant Field Values

### DBATVINDEX

    static final java.lang.String DBATVINDEX

  Attribute indexing.

  See Also:
    Constant Field Values

### DBWRDINDEX

    static final java.lang.String DBWRDINDEX

  Word indexing.

  See Also:
    Constant Field Values

### DBFTXINDEX

    static final java.lang.String DBFTXINDEX

  Fulltext indexing.

  See Also:
    Constant Field Values

### DBFZINDEX

    static final java.lang.String DBFZINDEX

  Fuzzy indexing.

  See Also:
    Constant Field Values

### DBFCOMPRESS

    static final java.lang.String DBFCOMPRESS

  Fuzzy indexing.

  See Also:
    Constant Field Values

### DBFTSTEM

    static final java.lang.String DBFTSTEM

  Fulltext stemming.

  See Also:
    Constant Field Values

### DBFTCS

    static final java.lang.String DBFTCS

  Fulltext case sensitivity.

  See Also:
    Constant Field Values

### DBFTDC

    static final java.lang.String DBFTDC

  Fulltext diacritics removal.

  See Also:
    Constant Field Values

### DBLASTID

    static final java.lang.String DBLASTID

  Last (highest) id.

  See Also:
    Constant Field Values

### DEEPFS

    static final java.lang.String DEEPFS

  DeepFS tag.

  See Also:
    Constant Field Values

### DIR

    static final byte[] DIR

  Directory tag.

### FILE

    static final byte[] FILE

  File tag.

### NAME

    static final byte[] NAME

  Name attribute.

### SIZE

    static final byte[] SIZE

  Size attribute.

### STAT

    static final byte[] STAT

  Size attribute.

### MTIME

    static final byte[] MTIME

  Time of last modification.

### SUFFIX

    static final byte[] SUFFIX

  Suffix attribute.

### CONTENT

    static final byte[] CONTENT

  Suffix attribute.

### E_AMP

    static final byte[] E_AMP

  Ampersand Entity.

### E_QU

    static final byte[] E_QU

  Quote Entity.

### E_GT

    static final byte[] E_GT

  GreaterThan Entity.

### E_LT

    static final byte[] E_LT

  LessThan Entity.

### E_TAB

    static final byte[] E_TAB

  Tab Entity.

### E_NL

    static final byte[] E_NL

  NewLine Entity.

### E_CR

    static final byte[] E_CR

  CarriageReturn Entity.

### RESULTS

    static final byte[] RESULTS

  Opening results tag.

### RESULT

    static final byte[] RESULT

  Opening result tag.

### COM1

    static final byte[] COM1

  Comment output.

### COM2

    static final byte[] COM2

  Comment output.

### PI1

    static final byte[] PI1

  PI output.

### PI2

    static final byte[] PI2

  PI output.

### ELEM1

    static final byte[] ELEM1

  Element output.

### ELEM2

    static final byte[] ELEM2

  Element output.

### ELEM3

    static final byte[] ELEM3

  Element output.

### ELEM4

    static final byte[] ELEM4

  Element output.

### ATT1

    static final byte[] ATT1

  Attribute output.

### ATT2

    static final byte[] ATT2

  Attribute output.

### TEXT

    static final byte[] TEXT

  Text step.

### COMM

    static final byte[] COMM

  Text step.

### PI

    static final byte[] PI

  Text step.

### ATT

    static final byte[] ATT

  Attribute output.

### TABLEPRE

    static final java.lang.String TABLEPRE

  First table Header.

  See Also:
    Constant Field Values

### TABLEDIST

    static final java.lang.String TABLEDIST

  Second table Header.

  See Also:
    Constant Field Values

### TABLESIZE

    static final java.lang.String TABLESIZE

  Third table Header.

  See Also:
    Constant Field Values

### TABLEATS

    static final java.lang.String TABLEATS

  Fourth table Header.

  See Also:
    Constant Field Values

### TABLENS

    static final java.lang.String TABLENS

  Namespace header.

  See Also:
    Constant Field Values

### TABLEPREF

    static final java.lang.String TABLEPREF

  Prefix header.

  See Also:
    Constant Field Values

### TABLEURI

    static final java.lang.String TABLEURI

  URI header.

  See Also:
    Constant Field Values

### TABLEKIND

    static final java.lang.String TABLEKIND

  Fifth table Header.

### TABLEKINDS

    static final java.lang.String[] TABLEKINDS

  Table Kinds.

### DATAINFO

    static final java.lang.String DATAINFO

  Database - Info.

  See Also:
    Constant Field Values

### DATATBL

    static final java.lang.String DATATBL

  Database - Tokens.

  See Also:
    Constant Field Values

### DATATMP

    static final java.lang.String DATATMP

  Database - Temporary Size References.

  See Also:
    Constant Field Values

### DATATXT

    static final java.lang.String DATATXT

  Database - Text index.

  See Also:
    Constant Field Values

### DATAATV

    static final java.lang.String DATAATV

  Database - Attribute value index.

  See Also:
    Constant Field Values

### DATAFTX

    static final java.lang.String DATAFTX

  Database - Fulltext index.

  See Also:
    Constant Field Values

### DEEPLIB

    static final java.lang.String DEEPLIB

  Name of the current deepfs shared library.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD